Bug 1114212 - Review Request: glite-lb-server - gLite Logging and Bookkeeping server
Summary: Review Request: glite-lb-server - gLite Logging and Bookkeeping server
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-06-28 17:50 UTC by František Dvořák
Modified: 2014-08-22 19:18 UTC (History)
2 users (show)

Fixed In Version: glite-lb-server-3.0.18-3.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-16 00:27:37 UTC
Type: ---
i: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description František Dvořák 2014-06-28 17:50:53 UTC
Spec URL: http://scientific.zcu.cz/fedora/glite-lb-server-3.0.18-1/glite-lb-server.spec
SRPM URL: http://scientific.zcu.cz/fedora/glite-lb-server-3.0.18-1/glite-lb-server-3.0.18-1.fc21.src.rpm
Description: glite-lb-server is the gLite Logging and Bookkeeping server. This package contains the L&B server daemon (glite-lb-bkserverd) and a tool for rebuilding server indices (glite-lb-bkindex).
Fedora Account System Username: valtri

- koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=7086696
- I'm upstream maintainer
- different permission for /var/spool/glite/lb-locallogger is intended (directory needed to be shared with users in the same group)

Comment 1 Christopher Meng 2014-07-26 06:20:56 UTC
I'm here.

Comment 2 Christopher Meng 2014-07-29 08:20:06 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "Unknown or generated". 4 files have unknown license.
     Detailed output of licensecheck:

Apache (v2.0)
-------------
glite-lb-server-3.0.18/interface/index.h
glite-lb-server-3.0.18/interface/lb_authz.h
glite-lb-server-3.0.18/interface/pretty_print_wrapper.h
glite-lb-server-3.0.18/interface/query.h
glite-lb-server-3.0.18/interface/srv_perf.h
glite-lb-server-3.0.18/interface/store.h
glite-lb-server-3.0.18/src/authz_policy.c
glite-lb-server-3.0.18/src/authz_policy.h
glite-lb-server-3.0.18/src/bkindex.c
glite-lb-server-3.0.18/src/bkserverd.c
glite-lb-server-3.0.18/src/cond_dump.c
glite-lb-server-3.0.18/src/cond_dump.h
glite-lb-server-3.0.18/src/db_calls.c
glite-lb-server-3.0.18/src/db_calls.h
glite-lb-server-3.0.18/src/db_store.c
glite-lb-server-3.0.18/src/db_supp.c
glite-lb-server-3.0.18/src/db_supp.h
glite-lb-server-3.0.18/src/dump.c
glite-lb-server-3.0.18/src/get_events.h
glite-lb-server-3.0.18/src/il_lbproxy.c
glite-lb-server-3.0.18/src/il_lbproxy.h
glite-lb-server-3.0.18/src/il_notification.c
glite-lb-server-3.0.18/src/il_notification.h
glite-lb-server-3.0.18/src/jobstat.c
glite-lb-server-3.0.18/src/jobstat.h
glite-lb-server-3.0.18/src/jobstat_supp.c
glite-lb-server-3.0.18/src/lb_authz.c
glite-lb-server-3.0.18/src/lb_html.c
glite-lb-server-3.0.18/src/lb_html.h
glite-lb-server-3.0.18/src/lb_http.c
glite-lb-server-3.0.18/src/lb_http.h
glite-lb-server-3.0.18/src/lb_proto.c
glite-lb-server-3.0.18/src/lb_proto.h
glite-lb-server-3.0.18/src/lb_rss.c
glite-lb-server-3.0.18/src/lb_rss.h
glite-lb-server-3.0.18/src/lb_text.c
glite-lb-server-3.0.18/src/lb_text.h
glite-lb-server-3.0.18/src/lb_xml_parse.h
glite-lb-server-3.0.18/src/lb_xml_parse_V21.h
glite-lb-server-3.0.18/src/lcas_lb.c
glite-lb-server-3.0.18/src/load.c
glite-lb-server-3.0.18/src/mon-db.c
glite-lb-server-3.0.18/src/notif_match.c
glite-lb-server-3.0.18/src/notification.c
glite-lb-server-3.0.18/src/openserver.c
glite-lb-server-3.0.18/src/openserver.h
glite-lb-server-3.0.18/src/perftest_proxy.sh
glite-lb-server-3.0.18/src/pretty_print_wrapper.cpp
glite-lb-server-3.0.18/src/purge.h
glite-lb-server-3.0.18/src/query.c
glite-lb-server-3.0.18/src/request.c
glite-lb-server-3.0.18/src/seqcode.c
glite-lb-server-3.0.18/src/server_notification.h
glite-lb-server-3.0.18/src/server_state.c
glite-lb-server-3.0.18/src/server_state.h
glite-lb-server-3.0.18/src/srv_purge.c
glite-lb-server-3.0.18/src/stats.c
glite-lb-server-3.0.18/src/stats.h
glite-lb-server-3.0.18/src/stored_master.c
glite-lb-server-3.0.18/src/userjobs.c
glite-lb-server-3.0.18/src/write2rgma.c
glite-lb-server-3.0.18/src/ws_fault.c
glite-lb-server-3.0.18/src/ws_fault.h
glite-lb-server-3.0.18/src/ws_lb4agu.c
glite-lb-server-3.0.18/src/ws_query.c
glite-lb-server-3.0.18/src/ws_typemap.h
glite-lb-server-3.0.18/src/ws_typeref.h
glite-lb-server-3.0.18/test/test_query_events.cpp
glite-lb-server-3.0.18/test/test_query_parse.c
glite-lb-server-3.0.18/test/test_soap_conv.cpp
glite-lb-server-3.0.18/test/test_trans.sh

Unknown or generated
--------------------
glite-lb-server-3.0.18/src/crypto.c
glite-lb-server-3.0.18/src/crypto.h
glite-lb-server-3.0.18/src/server_stats.c
glite-lb-server-3.0.18/src/server_stats.h

[-]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/logrotate.d
[x]: Package does not own files or directories owned by other packages.
     Note: Dirs in package are owned also by: /var/spool/glite(glite-lb-
     logger), /etc/glite-lb(glite-lbjp-common-log), /var/lib/glite(glite-lb-
     logger, glite-px-proxyrenewal), /var/run/glite(glite-lb-logger),
     /var/spool/glite/lb-proxy(glite-lb-logger), /var/spool/glite/lb-
     locallogger(glite-lb-logger), /var/spool/glite/lb-notif(glite-lb-logger)
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: %config files are marked noreplace or the reason is justified.
     Note: No (noreplace) in %config(noreplace missingok) /etc/sysconfig
     /glite-lb
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 51200 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Files in /run, var/run and /var/lock uses tmpfiles.d when appropriate
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Package should not use obsolete m4 macros


Rpmlint
-------
Checking: glite-lb-server-3.0.18-1.fc22.i686.rpm
          glite-lb-server-3.0.18-1.fc22.src.rpm
glite-lb-server.i686: W: summary-not-capitalized C gLite Logging and Bookkeeping server
glite-lb-server.i686: W: spelling-error %description -l en_US bkserverd -> observer
glite-lb-server.i686: W: spelling-error %description -l en_US bkindex -> bk index, bk-index, index
glite-lb-server.i686: W: non-standard-uid /var/lib/glite glite
glite-lb-server.i686: W: non-standard-gid /var/lib/glite glite
glite-lb-server.i686: W: non-standard-uid /var/spool/glite glite
glite-lb-server.i686: W: non-standard-gid /var/spool/glite glite
glite-lb-server.i686: W: non-standard-uid /var/log/glite glite
glite-lb-server.i686: W: non-standard-gid /var/log/glite glite
glite-lb-server.i686: W: non-standard-uid /var/run/glite glite
glite-lb-server.i686: W: non-standard-gid /var/run/glite glite
glite-lb-server.i686: W: non-standard-uid /var/spool/glite/lb-locallogger glite
glite-lb-server.i686: W: non-standard-gid /var/spool/glite/lb-locallogger glite
glite-lb-server.i686: E: non-standard-dir-perm /var/spool/glite/lb-locallogger 0775L
glite-lb-server.i686: W: non-standard-uid /var/lib/glite/purge glite
glite-lb-server.i686: W: non-standard-gid /var/lib/glite/purge glite
glite-lb-server.i686: W: non-standard-uid /var/lib/glite/dump glite
glite-lb-server.i686: W: non-standard-gid /var/lib/glite/dump glite
glite-lb-server.i686: W: non-standard-uid /var/spool/glite/lb-proxy glite
glite-lb-server.i686: W: non-standard-gid /var/spool/glite/lb-proxy glite
glite-lb-server.i686: W: non-standard-uid /var/spool/glite/lb-notif glite
glite-lb-server.i686: W: non-standard-gid /var/spool/glite/lb-notif glite
glite-lb-server.i686: W: no-manual-page-for-binary glite-lb-migrate_db2version40
glite-lb-server.i686: W: no-manual-page-for-binary glite-lb-export
glite-lb-server.i686: W: no-manual-page-for-binary glite-lb-migrate_db2version20
glite-lb-server.i686: W: no-manual-page-for-binary glite-lb-notif-keeper
glite-lb-server.src: W: summary-not-capitalized C gLite Logging and Bookkeeping server
glite-lb-server.src: W: spelling-error %description -l en_US bkserverd -> observer
glite-lb-server.src: W: spelling-error %description -l en_US bkindex -> bk index, bk-index, index
glite-lb-server.src: W: invalid-url Source0: http://scientific.zcu.cz/emi/emi.lb.server/glite-lb-server-3.0.18.tar.gz <urlopen error [Errno 101] Network is unreachable>
2 packages and 0 specfiles checked; 1 errors, 29 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint glite-lb-server
glite-lb-server.i686: W: summary-not-capitalized C gLite Logging and Bookkeeping server
glite-lb-server.i686: W: spelling-error %description -l en_US bkserverd -> observer
glite-lb-server.i686: W: spelling-error %description -l en_US bkindex -> bk index, bk-index, index
glite-lb-server.i686: W: non-standard-uid /var/lib/glite glite
glite-lb-server.i686: W: non-standard-gid /var/lib/glite glite
glite-lb-server.i686: W: non-standard-uid /var/spool/glite glite
glite-lb-server.i686: W: non-standard-gid /var/spool/glite glite
glite-lb-server.i686: W: non-standard-uid /var/log/glite glite
glite-lb-server.i686: W: non-standard-gid /var/log/glite glite
glite-lb-server.i686: W: non-standard-uid /var/run/glite glite
glite-lb-server.i686: W: non-standard-gid /var/run/glite glite
glite-lb-server.i686: W: non-standard-uid /var/spool/glite/lb-locallogger glite
glite-lb-server.i686: W: non-standard-gid /var/spool/glite/lb-locallogger glite
glite-lb-server.i686: E: non-standard-dir-perm /var/spool/glite/lb-locallogger 0775L
glite-lb-server.i686: W: non-standard-uid /var/lib/glite/purge glite
glite-lb-server.i686: W: non-standard-gid /var/lib/glite/purge glite
glite-lb-server.i686: W: non-standard-uid /var/lib/glite/dump glite
glite-lb-server.i686: W: non-standard-gid /var/lib/glite/dump glite
glite-lb-server.i686: W: non-standard-uid /var/spool/glite/lb-proxy glite
glite-lb-server.i686: W: non-standard-gid /var/spool/glite/lb-proxy glite
glite-lb-server.i686: W: non-standard-uid /var/spool/glite/lb-notif glite
glite-lb-server.i686: W: non-standard-gid /var/spool/glite/lb-notif glite
glite-lb-server.i686: W: no-manual-page-for-binary glite-lb-migrate_db2version40
glite-lb-server.i686: W: no-manual-page-for-binary glite-lb-export
glite-lb-server.i686: W: no-manual-page-for-binary glite-lb-migrate_db2version20
glite-lb-server.i686: W: no-manual-page-for-binary glite-lb-notif-keeper
1 packages and 0 specfiles checked; 1 errors, 25 warnings.
# echo 'rpmlint-done:'



Requires
--------
glite-lb-server (rpmlib, GLIBC filtered):
    /bin/bash
    /bin/sh
    config(glite-lb-server)
    crontabs
    glite-lb-client-progs(x86-32)
    glite-lb-utils(x86-32)
    libc.so.6
    libcares.so.2
    libclassad.so.6
    libcrypto.so.10
    libcrypto.so.10(libcrypto.so.10)
    libdl.so.2
    libexpat.so.1
    libgcc_s.so.1
    libgcc_s.so.1(GCC_3.0)
    libglite_jobid.so.2
    libglite_lb_common.so.16
    libglite_lb_statemachine.so.6
    libglite_lbu_db.so.3
    libglite_lbu_log.so.1
    libglite_lbu_maildir.so.2
    libglite_lbu_server_bones.so.2
    libglite_lbu_trio.so.2
    libglite_security_gsoap_plugin_2817r_c.so.9
    libglite_security_gss.so.9
    libgridsite.so.2
    libgsoap.so.5
    libm.so.6
    libssl.so.10
    libssl.so.10(libssl.so.10)
    libstdc++.so.6
    libstdc++.so.6(CXXABI_1.3)
    libvomsapi.so.1
    libxml2.so.2
    libxml2.so.2(LIBXML2_2.4.30)
    libz.so.1
    mysql-server(x86-32)
    rtld(GNU_HASH)
    systemd



Provides
--------
glite-lb-server:
    config(glite-lb-server)
    glite-lb-server
    glite-lb-server(x86-32)



Source checksums
----------------
http://scientific.zcu.cz/emi/emi.lb.server/glite-lb-server-3.0.18.tar.gz :
  CHECKSUM(SHA256) this package     : 41a2af347250465be5da33b7ac721cf7b0d5f41e117aa310c2cdb57049be08e1
  CHECKSUM(SHA256) upstream package : 41a2af347250465be5da33b7ac721cf7b0d5f41e117aa310c2cdb57049be08e1


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/bin/fedora-review -rvn glite-lb-server-3.0.18-1.fc21.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

-------------------NO NEED to fix anything above-------------------
1. Why so many 755 dirs? Can't 750 satisfy?

2. install -m 0644 ChangeLog LICENSE %{buildroot}%{_pkgdocdir}

Why not %doc?

3. Missing Requires(pre): shadow-utils

Hint: make install DESTDIR=%{buildroot} = %make_install

F21+ make %{?_smp_mflags} = %make_build

Comment 3 František Dvořák 2014-07-29 12:08:48 UTC
(In reply to Christopher Meng from comment #2)
> 
> [-]: Package must own all directories that it creates.
>      Note: Directories without known owners: /etc/logrotate.d

I've added logrotate to requires yet.


> 1. Why so many 755 dirs? Can't 750 satisfy?
> 

It looks like rpmlint is not happy about that:

glite-lb-server.x86_64: E: non-standard-dir-perm /var/spool/glite 0750L

Do you think I should limit the permissions anyway? The files created by gLite daemons in /var/spool/glite have 0600 permissions, so additional listing permissions on directory couldn't be a problem...


> 2. install -m 0644 ChangeLog LICENSE %{buildroot}%{_pkgdocdir}
> 
> Why not %doc?
> 

It is due to EPEL support. There is something installed in /usr/share/doc already by 'make install' and EPEL 6 doesn't handle combination of already existing files and %doc very well.


> 3. Missing Requires(pre): shadow-utils
> 

Good catch.


> Hint: make install DESTDIR=%{buildroot} = %make_install
> 
> F21+ make %{?_smp_mflags} = %make_build

I would rather keep the old-school "chatty" version here. :-) It is also needed for EPEL 5.


New version:

Spec URL: http://scientific.zcu.cz/fedora/glite-lb-server-3.0.18-2/glite-lb-server.spec
SRPM URL: http://scientific.zcu.cz/fedora/glite-lb-server-3.0.18-2/glite-lb-server-3.0.18-2.fc22.src.rpm

* Tue Jul 29 2014 František Dvořák <valtri@civ.zcu.cz> - 3.0.18-2
- Added logrotate and shadow-utils requires
- Minimal requirements for glite-lbjp-common-server-bones not needed in EPEL

Comment 4 Christopher Meng 2014-08-02 08:29:41 UTC
(In reply to František Dvořák from comment #3)
> Do you think I should limit the permissions anyway? The files created by
> gLite daemons in /var/spool/glite have 0600 permissions, so additional
> listing permissions on directory couldn't be a problem...

Actually in BSD systems, 600 is common, no need to set if you've done the right thing. ;)

> > 2. install -m 0644 ChangeLog LICENSE %{buildroot}%{_pkgdocdir}
> > 
> > Why not %doc?
> > 
> 
> It is due to EPEL support. There is something installed in /usr/share/doc
> already by 'make install' and EPEL 6 doesn't handle combination of already
> existing files and %doc very well.

Using rm -frv %{buildroot}%{_docdir} at the end of %install and %doc is better, also %_pkgdocdir is unavailable on EPEL.

Comment 5 František Dvořák 2014-08-02 09:54:42 UTC
(In reply to Christopher Meng from comment #4)
> (In reply to František Dvořák from comment #3)
> > Do you think I should limit the permissions anyway? The files created by
> > gLite daemons in /var/spool/glite have 0600 permissions, so additional
> > listing permissions on directory couldn't be a problem...
> 
> Actually in BSD systems, 600 is common, no need to set if you've done the
> right thing. ;)
> 

"no need to set" sounds good to me. ;-) What do you think about new spec (not touching the permissions by spec file)?

> > > 2. install -m 0644 ChangeLog LICENSE %{buildroot}%{_pkgdocdir}
> > > 
> > > Why not %doc?
> > > 
> > 
> > It is due to EPEL support. There is something installed in /usr/share/doc
> > already by 'make install' and EPEL 6 doesn't handle combination of already
> > existing files and %doc very well.
> 
> Using rm -frv %{buildroot}%{_docdir} at the end of %install and %doc is
> better, also %_pkgdocdir is unavailable on EPEL.

OK, it simplifies the packaging and spec is more readable (though I need to be more careful when upgrading - new files won't be catched by build failures).

Spec URL: http://scientific.zcu.cz/fedora/glite-lb-server-3.0.18-3/glite-lb-server.spec
SRPM URL: http://scientific.zcu.cz/fedora/glite-lb-server-3.0.18-3/glite-lb-server-3.0.18-3.fc22.src.rpm

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=7232959

Comment 6 Christopher Meng 2014-08-02 10:30:47 UTC
If you are the upstream, it's trustable ;)

+1 here.

Comment 7 Christopher Meng 2014-08-02 10:31:34 UTC
PACKAGE APPROVED.

Comment 8 František Dvořák 2014-08-02 10:40:58 UTC
New Package SCM Request
=======================
Package Name: glite-lb-server
Short Description: gLite Logging and Bookkeeping server
Upstream URL: http://glite.cern.ch
Owners: valtri
Branches: f19 f20 f21 el6
InitialCC:

Comment 9 Gwyn Ciesla 2014-08-04 12:16:51 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-08-05 12:08:22 UTC
glite-lb-server-3.0.18-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/glite-lb-server-3.0.18-3.fc20

Comment 11 Fedora Update System 2014-08-05 12:09:08 UTC
glite-lb-server-3.0.18-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/glite-lb-server-3.0.18-3.fc19

Comment 12 Fedora Update System 2014-08-05 12:10:17 UTC
glite-lb-server-3.0.18-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/glite-lb-server-3.0.18-3.el6

Comment 13 Fedora Update System 2014-08-07 15:34:38 UTC
glite-lb-server-3.0.18-3.fc20 has been pushed to the Fedora 20 testing repository.

Comment 14 Fedora Update System 2014-08-16 00:27:37 UTC
glite-lb-server-3.0.18-3.fc20 has been pushed to the Fedora 20 stable repository.

Comment 15 Fedora Update System 2014-08-16 00:35:06 UTC
glite-lb-server-3.0.18-3.fc19 has been pushed to the Fedora 19 stable repository.

Comment 16 Fedora Update System 2014-08-22 19:18:04 UTC
glite-lb-server-3.0.18-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.